.mod-activity-feed
  $padding-east-west: 30px
  $padding-north-south: 20px

  h2
    margin-bottom: 20px
    position: relative
    left: -10px

  .activity-feed-form
    padding: $padding-north-south $padding-east-west
    border-bottom: 1px dashed $color-grey-border
    border-left: 1px solid $color-grey-border
    position: relative
    padding-right: 0
    padding-top: 0

  .comment-form
    textarea
      margin-bottom: 15px

    .submit
      text-align: right

    .button
      width: auto
      margin-bottom: 25px

  .feed-item
    padding: $padding-north-south $padding-east-west
    border-bottom: 1px dashed $color-grey-border
    border-left: 1px solid $color-grey-border
    position: relative
    padding-right: 0

    &:last-child
      border: none

      &:before
        position: absolute
        content: ""
        display: block
        width: 10px
        height: 50%
        top: 0
        left: 0
        border-left: 1px solid $color-grey-border

  .feed-item-title
    color: $color-black
    position: relative

    a
      color: $color-black

    .mod-user-badge
      margin-right: 0

    .user-badge
      position: absolute
      left: -$padding-east-west - 14px
      top: -18px

    &.comment,
    &.maintenance-log,
    &.printer-created,
    &.aborted,
    &.completed,
    &.printer-firmware-install
      &:before
        +icon
        position: absolute
        left: -$padding-east-west - 12px
        top: -3px
        background-color: white
        text-align: center
        padding: 6px 5px
        font-size: 16px

  .feed-item-title.aborted
    color: $color-orange
    a
      color: $color-orange

    &:before
      +icon-abort
      left: -$padding-east-west - 13px
      color: $color-orange

  .feed-item-title.comment:before
    +icon-comment
    color: $color-black

  .feed-item-title.maintenance-log:before
    +icon-maintenance-small
    color: $color-black

  .feed-item-title.completed:before
    +icon-circle-check-sm
    font-size: 22px
    left: -$padding-east-west - 15px
    top: -7px
    color: $color-green

  .feed-item-title.printer-created:before
    +icon-printer
    color: $color-black
    font-size: 18px

  .feed-item-title + .body
    margin-top: 10px
    color: $color-grey-text

  .feed-item-title.printer-firmware-install:before
    +icon-firmware
